%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-resolve
Version:    1.7.1
Release:    %mkrel 5
Summary:    Resolve like require.resolve() on behalf of files asynchronously/synchronously
License:    MIT
Group:      System/Libraries
URL:        https://github.com/substack/node-resolve
Source0:    https://registry.npmjs.org/resolve/-/resolve-%{version}.tgz

BuildArch:  noarch
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(tape)
%endif

%description
%{summary}.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/resolve
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/resolve

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
%tap test/*.js
%endif


%files
%doc readme.markdown example/
%license LICENSE
%{nodejs_sitelib}/resolve




%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.7.1-5.mga9
+ Revision: 1819783
- Mageia 9 Mass Rebuild

* Mon May 04 2020 joequant <joequant> 1.7.1-4.mga8
+ Revision: 1580106
- rebuild deps

* Sun Feb 16 2020 umeabot <umeabot> 1.7.1-3.mga8
+ Revision: 1535872
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.7.1-2.mga8
+ Revision: 1280930
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 1.7.1-1.mga7
+ Revision: 1225129
- Update to version 1.7.1

* Sun May 22 2016 tv <tv> 1.1.7-1.mga6
+ Revision: 1017667
- disable testuite for boostrapping
- new release

* Tue Feb 09 2016 umeabot <umeabot> 0.5.0-3.mga6
+ Revision: 951157
- Mageia 6 Mass Rebuild

* Tue Dec 09 2014 tv <tv> 0.5.0-2.mga5
+ Revision: 802494
- reenable testsuite

* Wed Oct 29 2014 tv <tv> 0.5.0-1.mga5
+ Revision: 794424
- disable tests for bootstrap
- imported package nodejs-resolve


* Mon Oct 27 2014 Thierry Vignaud <tv@mageia.org> 0.5.0-2.mga5
- import from FC

* Tue Sep 03 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.5.0-1
- update to upstream release 0.5.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.0-2
- add ExclusiveArch logic

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.0-1
- initial package
